<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

function doPay( form )
{
	var customerAddressValue = '';
	if ( 'customerAddress' in form )
	{
		customerAddressValue = form.customerAddress.value;
	}
	//
	jQuery.get( webexecuter, { action: '${action}', operation: 'pay', module: '${module}', mid: ${mid}, contractId: contractId, ct: 'json', sum: form.sum.value.replace(',','.'), customerAddress: customerAddressValue },
		function( data )
		{
			var form = jQuery( "#pscbGateForm" )[0];
			form.message.value = data.message;
			form.marketPlace.value = data.marketPlace;
			form.signature.value = data.signature;
			form.action = data.url;
			form.submit();
		}
	);
	return false;
}

</script>

<form method="post" id="pscbGateForm">
	<input type="hidden" name="message"/>
	<input type="hidden" name="marketPlace"/>
	<input type="hidden" name="signature"/>
</form>

<fmt:setLocale value="RU"/>

<table class="tableFont tableWidth">
  <tr>
    <td style="padding: 0px;">
		<c:set var="paymentName" value="pscb" scope="request" />
		<c:set var="paymentPayText" scope="request">Платежный сервис ПСКБ<br>(Петербургский социальный коммерческий банк)</c:set>
		<jsp:include page="../include/payment_tabs.jsp"/>
		<jsp:include page="../include/payment_pay.jsp"/>
		<jsp:include page="../include/payment_auto.jsp"/>
	</td>
	<td style="width: 20px;">&nbsp;</td>
    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
  </tr>
</table>

<div id="paymentReport">

	<div style="margin-top: 20px;">
		<form method="POST" action="" id="pscbListForm" >
			<input type="hidden" name="action" value="${action}">
			<input type="hidden" name="module" value="${module}">
			<input type="hidden" name="mid" value="${mid}">
			<input type="hidden" name="status" value="${dataMap['status']}">
			<input type="hidden" name="month" value="${dataMap['month']}">
			<input type="hidden" name="year" value="${dataMap['year']}">
			<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
			<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
		</form>
	
		<table class="tableFont tableWidth1024">
		  <tr>
			<td><div class="bgMonthAndYearWidget" formId="pscbListForm" month="${dataMap['period'].monthFrom}" year="${dataMap['period'].yearFrom}"></div></td>
			<td style="text-align: right;"><div class="bgPagesWidget" formId="pscbListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
		  </tr>
		  <tr>
		  	<td><div style="display: none;">Статус: <select onchange="jQuery('#pscbListForm')[0].status.value=this.value;jQuery('#pscbListForm')[0].submit();">
		  	<c:forEach var="item" items="${dataMap['statusList']}">
		  	<c:set var="selected"><c:if test="${item.code eq dataMap['status']}">selected="1"</c:if> </c:set>
		  	<option value="${item.code}"${selected}>${item.title}</option>
		  	</c:forEach>
		  	</select></div></td>
		  	<td style="text-align: right;"><div>[<a href="#" onclick="jQuery(this).parent().hide().next().show().parent().prev().children().show();">Дополнительный фильтр</a>]</div><div style="display: none;">[<a href="#" onclick="jQuery(this).parent().hide().prev().show().parent().prev().children().hide();">скрыть допол. фильтры</a>]</div></td>
		  </tr>
		</table>
	</div>
	
	<table class="table tableFont tableWidth1024" style="border-radius: 20px;">
		<thead>
			<tr>
				<td nowrap="nowrap">ID</td>
				<td>Дата оплаты</td>
				<td>Статус</td>
				<td>Сумма</td>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['transactions']}">
			<c:forEach var="item" items="${dataMap['transactions']}">
				<tr>
					<td nowrap="nowrap">${item.id }</td>
					<td><fmt:formatDate value="${item.transactionDate}" pattern="dd.MM.yyyy" /></td>
				  	<td><c:forEach var="statusItem" items="${dataMap['statusList']}"><c:if test="${statusItem.code eq item.status}">${statusItem.title}</c:if></c:forEach></td>
					<td>${item.sum }</td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="5" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
	
</div>